Loading...
Searching...
No Matches
OBAtomHOF Class Reference

`#include <openbabel/data.h>`

## Public Member Functions

| OBAtomHOF (std::string element, int charge, std::string method, std::string desc, double T, double value, int multiplicity, std::string unit)
| ~OBAtomHOF ()
std::string | Element ()
int | Charge ()
std::string | Method ()
std::string | Desc ()
double | T ()
double | Value ()
int | Multiplicity ()
std::string | Unit ()

## Detailed Description

helper class for OBAtomicHeatOfFormationTable

Stores both theoretical and experimental corrections needed to compute the Enthalpy of formation. In order to use these you need to perform Gaussian G2/G3/G4 or CBS-QB3 calculations.

## Constructor & Destructor Documentation

## OBAtomHOF()

OBAtomHOF | ( | std::string | element,
|  | int | charge,
|  | std::string | method,
|  | std::string | desc,
|  | double | T,
|  | double | value,
|  | int | multiplicity,
|  | std::string | unit )

inline

Initialize Heat of Formation for atom.

Parameters

  element | The element string
  charge | The formal charge of the particle (if an ion)
  method | The method used for determining the value
  desc | Description of the value
  T | Temperature
  value | The value of the property (energy)
  multiplicity | The multiplicity of the atomic system
  unit | The (energy) unit

## ~OBAtomHOF()

~OBAtomHOF | ( |  | ) |

inline

Destructor.

## Member Function Documentation

## Element()

std::string Element | ( |  | ) |

inline

Return the chemical element.

## Charge()

int Charge | ( |  | ) |

inline

Return the formal charge.

## Method()

std::string Method | ( |  | ) |

inline

Return the method used for the measurement/calculation.

## Desc()

std::string Desc | ( |  | ) |

inline

Return specification of the measurement/calculation type.

## T()

double T | ( |  | ) |

inline

Return the temperature.

Referenced by OBAtomHOF().

## Value()

double Value | ( |  | ) |

inline

Return the (energy) value.

## Multiplicity()

int Multiplicity | ( |  | ) |

inline

Return the multiplicity.

## Unit()

std::string Unit | ( |  | ) |

inline

Return the (energy) unit.

The documentation for this class was generated from the following file:

- data.h